Bug Hunting Session
Bug 87141 - EDITING - Impress crashes on UNDO operation (with steps to reproduce)
Summary: EDITING - Impress crashes on UNDO operation (with steps to reproduce)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.7.2 release
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 ta...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-09 08:18 UTC by Zarko Zivanov
Modified: 2014-12-12 12:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Steps to reproduce crash (726.55 KB, application/x-compressed)
2014-12-09 08:18 UTC, Zarko Zivanov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zarko Zivanov 2014-12-09 08:18:59 UTC
Created attachment 110606 [details]
Steps to reproduce crash

Impress is (for me) very unstable concerning its undo/redo operations, contrary to other LibreOffice programs. Using undo/redo usually lefts me with lost work, and I tend not to use them.

Anyway, today I found a reproducible way to crash Impress using UNDO operation. In the archive there is a presentation and steps to reproduce the crash:

1. Select text frame from first slide (u1.png)
2. Copy it to second (u2.png)
3. Move it and scale it down (u3.png)
4. Delete text from scaled frame (u4.png)
5. Do UNDO twice, CTRL+Z (while in frame editing) => crashes every time

Maybe not all the steps are necessary, but those always produce a crash on my system.
Comment 1 raal 2014-12-10 07:31:47 UTC
I can confirm with LO 4.3.4.1, win7
Comment 2 Caolán McNamara 2014-12-10 14:58:25 UTC
This commit trigged it anyway http://cgit.freedesktop.org/libreoffice/core/commit/?id=71e37a5c3886ff35d7240a9fb6b30aceec057782
Comment 3 Commit Notification 2014-12-10 16:02:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=efcbb12a27a380a442292f17c7f508555a66d4af

Resolves: fdo#87141 Remove deletes the node, release doesn't

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-12-10 16:04:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a27bb66382687ce348db5f57a1e64ee6afcb5c43&h=libreoffice-4-4

Resolves: fdo#87141 Remove deletes the node, release doesn't

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-10 20:40:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8660d1ebf9228cafec0082b5c69e596a03ae6f3c&h=libreoffice-4-3-5

Resolves: fdo#87141 Remove deletes the node, release doesn't

It will be available in 4.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-12-12 09:19:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14ef5e63d6353f18f540ccbb37ad9b9173a682fe&h=libreoffice-4-3

Resolves: fdo#87141 Remove deletes the node, release doesn't

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Zarko Zivanov 2014-12-12 12:31:17 UTC
I just tested daily LO image

http://dev-builds.libreoffice.org/daily/libreoffice-4-4/Linux-rpm_deb-x86_64@46-TDF/2014-12-11_08.48.53/libreoffice-4-4~2014-12-11_08.48.53_LibreOfficeDev_4.4.0.0.beta2_Linux_x86-64_deb.tar.gz

and Undo operation works as it should. I'm still waiting on 4.3 branch to get the update, I'll test it in a few days.